Description

Supportanfrage

ich bin neu mit ADTF. Ich versuche eine .dat Datei, die ein Video enthält, in einem andren Video Format(z.B .mp4) oder Reihen von

Bildern (z.B .jpeg), die vom Python lesbar ist umzuwandeln. Hätten sie eine Komponente bzw. eine Idee, die das schaffen kann ?

Lösung

siehe Usermanual ADTF Kap. 3.10.1 DAT Exporter.

Ggf. benötigst du die Compression TB, sollte der Stream komprimiert vorliegen, das ist dann aber eine Codec Frage.

Details siehe Usermanual Compression TB

Um die möglichen Sinks für die Kommandozeile zu bekommen, bietet der Datexporter einige Bordmittel, siehe adtf_datexporter

-help.

Meine Empfehlung:

Du lässt dir die Streams ausgeben und dann bekommst du auch die möglichen Sinks geliefert:

adtf_datexporter.exe -liststreams c:\work\dev\acore\release\2.14.1\bin\templates\example_test_file

.dat

Streams in c:\work\dev\acore\release\2.14.1\bin\templates\example_test_file.dat

Source: adtf.import.dat_file_source

    Name        Start   End

    -------------------

    video       113     14798822

        available sinks:

            BMP Video Sink: adtf.export.bmp

            CSV Sink: adtf.export.csv

    NESTED_STRUCT       113     14805419

        available sinks:

            CSV Sink: adtf.export.csv

History

#1 - 2018-05-07 13:31 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Datexporter

- Customer set to AUDI

- Department set to EE

#2 - 2018-05-07 13:36 - hidden

- Status changed from In Progress to Customer Feedback Required
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf_addons/adtf-video-compression-toolbox/v2/video_compression_toolbox.pdf


Hallo Rachid,

siehe Usermanual ADTF Kap. 3.10.1 DAT Exporter.

Ggf. benötigst du die Compression TB, sollte der Stream komprimiert vorliegen, das ist dann aber eine Codec Frage.

Details siehe Usermanual Compression TB

#3 - 2018-05-08 12:29 - hidden

Hallo Florian,

vielen Dank für deine Antwort.

Ich habe es geschafft, mit Hilfe der GUI ADTF_Exporter das .dat Video in eine Reihe von Bildern zu konvertieren.

Ich würde gern ein Skript(command line) dafür schreiben, auf der Dokumentation steht nur wie man das macht wenn der Ausgabe ein .AVI Video ist.

Könntest du mir bitte zeigen, wie anhand ein Skript ein .dat Video in einer Reihe von Bildern exportieren kann.

Viele Grüße

#4 - 2018-05-09 17:01 - hidden

Hallo Rachid,

dazu bietet dir der Datexporter einige Bordmittel.

Meine Empfehlung:

Du lässt dir die Streams ausgeben und dann bekommst du auch die möglichen Sinks geliefert:

adtf_datexporter.exe -liststreams c:\work\dev\acore\release\2.14.1\bin\templates\example_test_file.dat

Streams in c:\work\dev\acore\release\2.14.1\bin\templates\example_test_file.dat

Source: adtf.import.dat_file_source

    Name        Start   End

    -------------------

    video       113     14798822

        available sinks:

            BMP Video Sink: adtf.export.bmp

            CSV Sink: adtf.export.csv

    NESTED_STRUCT       113     14805419

        available sinks:

            CSV Sink: adtf.export.csv

#5 - 2018-05-17 11:06 - hidden

- Subject changed from ADTF Filter to How to export video data from dat files

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Kein weiteres Feedback, Thema aus unserer Sicht erledigt.

Ticket kann geschlossen werden.

#6 - 2018-05-22 08:12 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#7 - 2018-05-23 13:24 - hidden

- Status changed from To Be Closed to Closed
